## org.apache.tools.ant.taskdefs.optional.net
Class FTP.FTPSystemType

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.optional.net.FTP.FTPSystemType

Enclosing class:
  FTP

    public static class FTP.FTPSystemType

extends EnumeratedAttribute

one of the valid system type keys recognized by the systemTypeKey attribute.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`FTP.FTPSystemType()`

Method Summary
`java.lang.String[]` `getValues()` Get the valid values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTP.FTPSystemType

    public FTP.FTPSystemType()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Get the valid values.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    the list of valid system types.